package com.ruoyi.warehouse.mapper;

import java.util.List;
import com.ruoyi.warehouse.domain.WmsBatchItem;

public interface WmsBatchItemMapper
{
    public List<WmsBatchItem> selectWmsBatchItemList(WmsBatchItem item);
    public WmsBatchItem selectWmsBatchItemById(Long id);
    public int insertWmsBatchItem(WmsBatchItem item);
    public int updateWmsBatchItem(WmsBatchItem item);
    public int deleteWmsBatchItemById(Long id);
    public int deleteWmsBatchItemByJobId(Long jobId);
    public int countByJobIdAndStatus(WmsBatchItem item);
}
